Package net.sf.saxon.tree.util

## Class Navigator.AxisFilter

- java.lang.Object
- - net.sf.saxon.tree.util.Navigator.AxisFilter

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `SequenceIterator`, `AxisIterator`, `UnfailingIterator`
  Enclosing class:
    Navigator

      public static class Navigator.AxisFilter
      extends java.lang.Object
      implements AxisIterator

  AxisFilter is an iterator that applies a NodeTest filter to the nodes returned by an underlying AxisIterator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.om.SequenceIterator

      `SequenceIterator.Property`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AxisFilter​(AxisIterator base, java.util.function.Predicate<? super NodeInfo> test)` | Construct a AxisFilter

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NodeInfo` | `next()` | Get the next item in the sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.AxisIterator

      `asIterator, forEachNode`

    - ### Methods inherited from interface net.sf.saxon.om.SequenceIterator

      `close, forEachOrFail, getProperties, materialize`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.UnfailingIterator

      `forEach, toList`

- - ### Constructor Detail

    - #### AxisFilter

          public AxisFilter​(AxisIterator base,
                            java.util.function.Predicate<? super NodeInfo> test)

      Construct a AxisFilter
      Parameters:
        `base` - the underlying iterator that returns all the nodes on a required axis. This must not be an atomizing iterator!
        `test` - a NodeTest that is applied to each node returned by the underlying AxisIterator; only those nodes that pass the NodeTest are returned by the AxisFilter

  - ### Method Detail

    - #### next

          public NodeInfo next()

      Description copied from interface: `UnfailingIterator`
      Get the next item in the sequence.
      Specified by:
        `next` in interface `AxisIterator`
      Specified by:
        `next` in interface `SequenceIterator`
      Specified by:
        `next` in interface `UnfailingIterator`
      Returns:
        the next Item. If there are no more items, return null.